import { useBus } from "../bus/index.js";
import { useIOT } from "../iot/index.js";
export async function Scrap() {
    const iot = await useIOT();
    const bus = useBus();
    bus.subscribe("function.invocation", async (evt) => {
        const topic = `/sst/${evt.properties.env.SST_APP}/${evt.properties.env.SST_STAGE}/${evt.properties.functionID}/response`;
        iot.publish(topic, "function.responded", {
            type: "success",
            body: "Hello World",
        });
    });
    console.log("Listening for function invocations...");
}
